---
title: Custom ISO
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/management/custom-iso
description: Attach and boot custom ISO images on your Vultr VX1™ Cloud Compute instance using the Vultr Console or API for flexible OS installation.
publish_date: 2025-11-19T14:37:48.968044Z
last_updated: 2026-05-26T18:52:31.300763Z
---

# How to Attach a Custom ISO to a Vultr VX1™ Cloud Compute Instance

ISO images allow you to install a specific operating system on a Vultr VX1™ Cloud Compute instance. Custom ISOs enable you to deploy operating systems not available in the default Vultr installer list. They are useful for creating tailored environments or booting into specialized modes, such as rescue and recovery environments.

Follow this guide to attach a custom ISO to a Vultr VX1™ Cloud Compute instance using the Vultr Console, or API.

> [!WARNING]
> Installing a custom ISO on a Vultr VX1™ Cloud Compute instance disables the default user credentials listed in your instance's management page.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr VX1™ Cloud Compute instance to open its management page.
    1. Navigate to the **Settings** tab.
    1. Find and click **Custom ISO** on the left navigation menu.
    1. Select a custom ISO available in your Vultr account or click the **ISO Library** drop-down to select from a list of public ISOs.
    1. Click **Attach ISO and Reboot** to attach the ISO to your instance.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**List ISOs** endpoint](https://www.vultr.com/api/#tag/iso/operation/list-isos) and note your target ISO ID.

        ```console
        $ curl "https://api.vultr.com/v2/iso" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Attach ISO to Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/attach-instance-iso) to attach the ISO to your target instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/iso/attach" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "iso_id" : "<iso-id>"
          }'
        ```

        If successful, you receive a `200` status code response.